#### 7.10.6.3 ncVarsAdd

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncVarsAdd(vars);
  list vars contains variables

Returns:
  sets list elements as nc variables

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    ncVarsGet();
    ==> x,y,z
    ncVarsAdd(list("a", "b", "c"));
    ==> // ** killing the basering for level 0
    ncVarsGet();
    ==> x,y,z,a,b,c

User manual for Singular version 4.4.1, 2025, generated by texi2html.